searchNodes=[{"doc":"API calls for all endpoints tagged Authentication .","ref":"VRChat.Authentication.html","title":"VRChat.Authentication","type":"module"},{"doc":"Check User Exists Checks if a user by a given username , displayName or email exist. This is used during registration to check if a username has already been taken, during change of displayName to check if a displayName is available, and during change of email to check if the email is already used. In the later two cases the excludeUserId is used to exclude oneself, otherwise the result would always be true. It is REQUIRED to include AT LEAST username , displayName or email query parameter. Although they can be combined - in addition with excludeUserId (generally to exclude yourself) - to further fine-tune the search. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :email (String.t): Filter by email. :displayName (String.t): Filter by displayName. :userId (String.t): Filter by UserID. :excludeUserId (String.t): Exclude by UserID. Returns {:ok, VRChat.Model.UserExists.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Authentication.html#check_user_exists/2","title":"VRChat.Authentication.check_user_exists/2","type":"function"},{"doc":"Delete User Deletes the account with given ID. Normal users only have permission to delete their own account. Account deletion is 14 days from this request, and will be cancelled if you do an authenticated request with the account afterwards. VRC+ NOTE: Despite the 14-days cooldown, any VRC+ subscription will be cancelled immediately . METHOD NOTE: Despite this being a Delete action, the method type required is PUT. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.CurrentUser.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Authentication.html#delete_user/3","title":"VRChat.Authentication.delete_user/3","type":"function"},{"doc":"Login and/or Get Current User Info This endpoint does the following two operations: 1) Checks if you are already logged in by looking for a valid auth cookie. If you are have a valid auth cookie then no additional auth-related actions are taken. If you are not logged in then it will log you in with the Authorization header and set the auth cookie. The auth cookie will only be sent once. 2) If logged in, this function will also return the CurrentUser object containing detailed information about the currently logged in user. The auth string after Authorization: Basic {string} is a base64-encoded string of the username and password, both individually url-encoded, and then joined with a colon. &gt; base64(urlencode(username):urlencode(password)) WARNING: Session Limit: Each authentication with login credentials counts as a separate session, out of which you have a limited amount. Make sure to save and reuse the auth cookie if you are often restarting the program. The provided API libraries automatically save cookies during runtime, but does not persist during restart. While it can be fine to use username/password during development, expect in production to very fast run into the rate-limit and be temporarily blocked from making new sessions until older ones expire. The exact number of simultaneous sessions is unknown/undisclosed. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, VRChat.Model.CurrentUser.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Authentication.html#get_current_user/2","title":"VRChat.Authentication.get_current_user/2","type":"function"},{"doc":"","ref":"VRChat.Authentication.html#login/1","title":"VRChat.Authentication.login/1","type":"function"},{"doc":"Logout Invalidates the login session. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Authentication.html#logout/2","title":"VRChat.Authentication.logout/2","type":"function"},{"doc":"Verify 2FA code Finishes the login sequence with a normal 2FA-generated code for accounts with 2FA-protection enabled. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :body (TwoFactorAuthCode): Returns {:ok, VRChat.Model.Verify2FaResult.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Authentication.html#verify2_fa/2","title":"VRChat.Authentication.verify2_fa/2","type":"function"},{"doc":"Verify 2FA email code Finishes the login sequence with an 2FA email code. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :body (TwoFactorEmailCode): Returns {:ok, VRChat.Model.Verify2FaEmailCodeResult.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Authentication.html#verify2_fa_email_code/2","title":"VRChat.Authentication.verify2_fa_email_code/2","type":"function"},{"doc":"Verify Auth Token Verify whether the currently provided Auth Token is valid. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, VRChat.Model.VerifyAuthTokenResult.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Authentication.html#verify_auth_token/2","title":"VRChat.Authentication.verify_auth_token/2","type":"function"},{"doc":"Verify 2FA code with Recovery code Finishes the login sequence with an OTP (One Time Password) recovery code for accounts with 2FA-protection enabled. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :body (TwoFactorAuthCode): Returns {:ok, VRChat.Model.Verify2FaResult.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Authentication.html#verify_recovery_code/2","title":"VRChat.Authentication.verify_recovery_code/2","type":"function"},{"doc":"API calls for all endpoints tagged Avatars .","ref":"VRChat.Avatars.html","title":"VRChat.Avatars","type":"module"},{"doc":"Create Avatar Create an avatar. It's possible to optionally specify a ID if you want a custom one. Attempting to create an Avatar with an already claimed ID will result in a DB error. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :body (CreateAvatarRequest): Returns {:ok, VRChat.Model.Avatar.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Avatars.html#create_avatar/2","title":"VRChat.Avatars.create_avatar/2","type":"function"},{"doc":"Delete Avatar Delete an avatar. Notice an avatar is never fully &quot;deleted&quot;, only its ReleaseStatus is set to &quot;hidden&quot; and the linked Files are deleted. The AvatarID is permanently reserved. Parameters connection (VRChat.Connection): Connection to server avatar_id (String.t): Must be a valid avatar ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Avatar.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Avatars.html#delete_avatar/3","title":"VRChat.Avatars.delete_avatar/3","type":"function"},{"doc":"Get Avatar Get information about a specific Avatar. Parameters connection (VRChat.Connection): Connection to server avatar_id (String.t): Must be a valid avatar ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Avatar.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Avatars.html#get_avatar/3","title":"VRChat.Avatars.get_avatar/3","type":"function"},{"doc":"List Favorited Avatars Search and list favorited avatars by query filters. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :featured (boolean()): Filters on featured results. :sort (SortOption): The sort order of the results. :n (integer()): The number of objects to return. :order (OrderOption): Result ordering :offset (integer()): A zero-based offset from the default object sorting from where search results start. :search (String.t): Filters by world name. :tag (String.t): Tags to include (comma-separated). Any of the tags needs to be present. :notag (String.t): Tags to exclude (comma-separated). :releaseStatus (ReleaseStatus): Filter by ReleaseStatus. :maxUnityVersion (String.t): The maximum Unity version supported by the asset. :minUnityVersion (String.t): The minimum Unity version supported by the asset. :platform (String.t): The platform the asset supports. :userId (String.t): Target user to see information on, admin-only. Returns {:ok, [%Avatar{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Avatars.html#get_favorited_avatars/2","title":"VRChat.Avatars.get_favorited_avatars/2","type":"function"},{"doc":"Get Own Avatar Get the current avatar for the user. This will return an error for any other user than the one logged in. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Avatar.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Avatars.html#get_own_avatar/3","title":"VRChat.Avatars.get_own_avatar/3","type":"function"},{"doc":"Search Avatars Search and list avatars by query filters. You can only search your own or featured avatars. It is not possible as a normal user to search other peoples avatars. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :featured (boolean()): Filters on featured results. :sort (SortOption): The sort order of the results. :user (String.t): Set to me for searching own avatars. :userId (String.t): Filter by UserID. :n (integer()): The number of objects to return. :order (OrderOption): Result ordering :offset (integer()): A zero-based offset from the default object sorting from where search results start. :tag (String.t): Tags to include (comma-separated). Any of the tags needs to be present. :notag (String.t): Tags to exclude (comma-separated). :releaseStatus (ReleaseStatus): Filter by ReleaseStatus. :maxUnityVersion (String.t): The maximum Unity version supported by the asset. :minUnityVersion (String.t): The minimum Unity version supported by the asset. :platform (String.t): The platform the asset supports. Returns {:ok, [%Avatar{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Avatars.html#search_avatars/2","title":"VRChat.Avatars.search_avatars/2","type":"function"},{"doc":"Select Avatar Switches into that avatar. Parameters connection (VRChat.Connection): Connection to server avatar_id (String.t): Must be a valid avatar ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.CurrentUser.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Avatars.html#select_avatar/3","title":"VRChat.Avatars.select_avatar/3","type":"function"},{"doc":"Select Fallback Avatar Switches into that avatar as your fallback avatar. Parameters connection (VRChat.Connection): Connection to server avatar_id (String.t): Must be a valid avatar ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.CurrentUser.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Avatars.html#select_fallback_avatar/3","title":"VRChat.Avatars.select_fallback_avatar/3","type":"function"},{"doc":"Update Avatar Update information about a specific avatar. Parameters connection (VRChat.Connection): Connection to server avatar_id (String.t): Must be a valid avatar ID. opts (keyword): Optional parameters :body (UpdateAvatarRequest): Returns {:ok, VRChat.Model.Avatar.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Avatars.html#update_avatar/3","title":"VRChat.Avatars.update_avatar/3","type":"function"},{"doc":"Handle Tesla connections for VRChat. Additional middleware can be set in the compile-time or runtime configuration: config :tesla , VRChat.Connection , base_url : &quot;https://api.vrchat.cloud/api/1&quot; , adapter : Tesla.Adapter.Hackney The default base URL can also be set as: config :vrchat , :base_url , &quot;https://api.vrchat.cloud/api/1&quot;","ref":"VRChat.Connection.html","title":"VRChat.Connection","type":"module"},{"doc":"Returns the default adapter for this API.","ref":"VRChat.Connection.html#adapter/0","title":"VRChat.Connection.adapter/0","type":"function"},{"doc":"Returns fully configured middleware for passing to Tesla.client/2.","ref":"VRChat.Connection.html#middleware/1","title":"VRChat.Connection.middleware/1","type":"function"},{"doc":"Configure a client with no authentication. Returns Tesla.Env.client","ref":"VRChat.Connection.html#new/0","title":"VRChat.Connection.new/0","type":"function"},{"doc":"Configure a client that may have authentication. Parameters options : a keyword list of OpenAPIPetstore.Connection.options. Returns Tesla.Env.client","ref":"VRChat.Connection.html#new/1","title":"VRChat.Connection.new/1","type":"function"},{"doc":"Configure a client using username and password for basic authentication. Parameters username : a String representing a username. password : a String representing a password. options : a keyword list of VRChat.Connection.options. Returns Tesla.Env.client","ref":"VRChat.Connection.html#new/3","title":"VRChat.Connection.new/3","type":"function"},{"doc":"Forward requests to Tesla.","ref":"VRChat.Connection.html#request/2","title":"VRChat.Connection.request/2","type":"function"},{"doc":"The list of options that can be passed to new/1. base_url : Overrides the base URL on a per-client basis. user_agent : Overrides the User-Agent header. username : A username for basic authentication. password : A password for basic authentication.","ref":"VRChat.Connection.html#t:options/0","title":"VRChat.Connection.options/0","type":"type"},{"doc":"Helper functions for deserializing responses into models","ref":"VRChat.Deserializer.html","title":"VRChat.Deserializer","type":"module"},{"doc":"Update the provided model with a deserialization of a nested value","ref":"VRChat.Deserializer.html#deserialize/5","title":"VRChat.Deserializer.deserialize/5","type":"function"},{"doc":"API calls for all endpoints tagged Economy .","ref":"VRChat.Economy.html","title":"VRChat.Economy","type":"module"},{"doc":"Get Current Subscriptions Get a list of all current user subscriptions. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, [%UserSubscription{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Economy.html#get_current_subscriptions/2","title":"VRChat.Economy.get_current_subscriptions/2","type":"function"},{"doc":"Get License Group Get a single License Group by given ID. Parameters connection (VRChat.Connection): Connection to server license_group_id (String.t): Must be a valid license group ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.LicenseGroup.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Economy.html#get_license_group/3","title":"VRChat.Economy.get_license_group/3","type":"function"},{"doc":"Get Steam Transaction Get a single Steam transactions by ID. This returns the exact same information as getSteamTransactions , so no point in using this endpoint. Parameters connection (VRChat.Connection): Connection to server transaction_id (String.t): Must be a valid transaction ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Transaction.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Economy.html#get_steam_transaction/3","title":"VRChat.Economy.get_steam_transaction/3","type":"function"},{"doc":"List Steam Transactions Get all own Steam transactions. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, [%Transaction{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Economy.html#get_steam_transactions/2","title":"VRChat.Economy.get_steam_transactions/2","type":"function"},{"doc":"List Subscriptions List all existing Subscriptions. For example, &quot;vrchatplus-monthly&quot; and &quot;vrchatplus-yearly&quot;. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, [%Subscription{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Economy.html#get_subscriptions/2","title":"VRChat.Economy.get_subscriptions/2","type":"function"},{"doc":"API calls for all endpoints tagged Favorites .","ref":"VRChat.Favorites.html","title":"VRChat.Favorites","type":"module"},{"doc":"Add Favorite Add a new favorite. Friend groups are named group_0 through group_3 . Avatar and World groups are named avatars1 to avatars4 and worlds1 to worlds4 . You cannot add people whom you are not friends with to your friends list. Destroying a friendship removes the person as favorite on both sides. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :body (AddFavoriteRequest): Returns {:ok, VRChat.Model.Favorite.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Favorites.html#add_favorite/2","title":"VRChat.Favorites.add_favorite/2","type":"function"},{"doc":"Clear Favorite Group Clear ALL contents of a specific favorite group. Parameters connection (VRChat.Connection): Connection to server favorite_group_type (String.t): The type of group to fetch, must be a valid FavoriteType. favorite_group_name (String.t): The name of the group to fetch, must be a name of a FavoriteGroup. user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Favorites.html#clear_favorite_group/5","title":"VRChat.Favorites.clear_favorite_group/5","type":"function"},{"doc":"Show Favorite Return information about a specific Favorite. Parameters connection (VRChat.Connection): Connection to server favorite_id (String.t): Must be a valid favorite ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Favorite.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Favorites.html#get_favorite/3","title":"VRChat.Favorites.get_favorite/3","type":"function"},{"doc":"Show Favorite Group Fetch information about a specific favorite group. Parameters connection (VRChat.Connection): Connection to server favorite_group_type (String.t): The type of group to fetch, must be a valid FavoriteType. favorite_group_name (String.t): The name of the group to fetch, must be a name of a FavoriteGroup. user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.FavoriteGroup.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Favorites.html#get_favorite_group/5","title":"VRChat.Favorites.get_favorite_group/5","type":"function"},{"doc":"List Favorite Groups Return a list of favorite groups owned by a user. Returns the same information as getFavoriteGroups . Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :n (integer()): The number of objects to return. :offset (integer()): A zero-based offset from the default object sorting from where search results start. :ownerId (String.t): The owner of whoms favorite groups to return. Must be a UserID. Returns {:ok, [%FavoriteGroup{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Favorites.html#get_favorite_groups/2","title":"VRChat.Favorites.get_favorite_groups/2","type":"function"},{"doc":"List Favorites Returns a list of favorites. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :n (integer()): The number of objects to return. :offset (integer()): A zero-based offset from the default object sorting from where search results start. :type (String.t): The type of favorites to return, FavoriteType. :tag (String.t): Tags to include (comma-separated). Any of the tags needs to be present. Returns {:ok, [%Favorite{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Favorites.html#get_favorites/2","title":"VRChat.Favorites.get_favorites/2","type":"function"},{"doc":"Remove Favorite Remove a favorite from your favorites list. Parameters connection (VRChat.Connection): Connection to server favorite_id (String.t): Must be a valid favorite ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Favorites.html#remove_favorite/3","title":"VRChat.Favorites.remove_favorite/3","type":"function"},{"doc":"Update Favorite Group Update information about a specific favorite group. Parameters connection (VRChat.Connection): Connection to server favorite_group_type (String.t): The type of group to fetch, must be a valid FavoriteType. favorite_group_name (String.t): The name of the group to fetch, must be a name of a FavoriteGroup. user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters :body (UpdateFavoriteGroupRequest): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Favorites.html#update_favorite_group/5","title":"VRChat.Favorites.update_favorite_group/5","type":"function"},{"doc":"API calls for all endpoints tagged Files .","ref":"VRChat.Files.html","title":"VRChat.Files","type":"module"},{"doc":"Create File Creates a new File object Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :body (CreateFileRequest): Returns {:ok, VRChat.Model.File.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Files.html#create_file/2","title":"VRChat.Files.create_file/2","type":"function"},{"doc":"Create File Version Creates a new FileVersion. Once a Version has been created, proceed to the /file/{fileId}/{versionId}/file/start endpoint to start a file upload. Parameters connection (VRChat.Connection): Connection to server file_id (String.t): Must be a valid file ID. opts (keyword): Optional parameters :body (CreateFileVersionRequest): Returns {:ok, VRChat.Model.File.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Files.html#create_file_version/3","title":"VRChat.Files.create_file_version/3","type":"function"},{"doc":"Delete File Deletes a File object. Parameters connection (VRChat.Connection): Connection to server file_id (String.t): Must be a valid file ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Files.html#delete_file/3","title":"VRChat.Files.delete_file/3","type":"function"},{"doc":"Delete File Version Delete a specific version of a file. You can only delete the latest version. Parameters connection (VRChat.Connection): Connection to server file_id (String.t): Must be a valid file ID. version_id (integer()): Version ID of the asset. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.File.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Files.html#delete_file_version/4","title":"VRChat.Files.delete_file_version/4","type":"function"},{"doc":"Download File Version Downloads the file with the provided version number. Version Note: Version 0 is always when the file was created. The real data is usually always located in version 1 and up. Extension Note: Files are not guaranteed to have a file extensions. UnityPackage files tends to have it, images through this endpoint do not. You are responsible for appending file extension from the extension field when neccesary. Parameters connection (VRChat.Connection): Connection to server file_id (String.t): Must be a valid file ID. version_id (integer()): Version ID of the asset. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Files.html#download_file_version/4","title":"VRChat.Files.download_file_version/4","type":"function"},{"doc":"Finish FileData Upload Finish an upload of a FileData. This will mark it as &quot;complete&quot;. After uploading the file for Avatars and Worlds you then have to upload a signature file. Parameters connection (VRChat.Connection): Connection to server file_id (String.t): Must be a valid file ID. version_id (integer()): Version ID of the asset. file_type (String.t): Type of file. opts (keyword): Optional parameters :body (FinishFileDataUploadRequest): Please see documentation on ETag's: https://teppen.io/2018/06/23/aws_s3_etags/ ETag's should NOT be present when uploading a signature . Returns {:ok, VRChat.Model.File.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Files.html#finish_file_data_upload/5","title":"VRChat.Files.finish_file_data_upload/5","type":"function"},{"doc":"Show File Shows general information about the &quot;File&quot; object. Each File can have several &quot;Version&quot;'s, and each Version can have multiple real files or &quot;Data&quot; blobs. Parameters connection (VRChat.Connection): Connection to server file_id (String.t): Must be a valid file ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.File.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Files.html#get_file/3","title":"VRChat.Files.get_file/3","type":"function"},{"doc":"Check FileData Upload Status Retrieves the upload status for file upload. Can currently only be accessed when status is waiting . Trying to access it on a file version already uploaded currently times out. Parameters connection (VRChat.Connection): Connection to server file_id (String.t): Must be a valid file ID. version_id (integer()): Version ID of the asset. file_type (String.t): Type of file. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.FileVersionUploadStatus.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Files.html#get_file_data_upload_status/5","title":"VRChat.Files.get_file_data_upload_status/5","type":"function"},{"doc":"List Files Returns a list of files Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :tag (String.t): Tag, for example &quot;icon&quot; or &quot;gallery&quot;, not included by default. :userId (String.t): UserID, will always generate a 500 permission error. :n (integer()): The number of objects to return. :offset (integer()): A zero-based offset from the default object sorting from where search results start. Returns {:ok, [%File{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Files.html#get_files/2","title":"VRChat.Files.get_files/2","type":"function"},{"doc":"Start FileData Upload Starts an upload of a specific FilePart. This endpoint will return an AWS URL which you can PUT data to. You need to call this and receive a new AWS API URL for each partNumber . Please see AWS's REST documentation on &quot;PUT Object to S3&quot; on how to upload. Once all parts has been uploaded, proceed to /finish endpoint. Note: nextPartNumber seems like it is always ignored. Despite it returning 0, first partNumber is always 1. Parameters connection (VRChat.Connection): Connection to server file_id (String.t): Must be a valid file ID. version_id (integer()): Version ID of the asset. file_type (String.t): Type of file. opts (keyword): Optional parameters :partNumber (integer()): The part number to start uploading. If not provided, the first part will be started. Returns {:ok, VRChat.Model.FileUploadUrl.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Files.html#start_file_data_upload/5","title":"VRChat.Files.start_file_data_upload/5","type":"function"},{"doc":"API calls for all endpoints tagged Friends .","ref":"VRChat.Friends.html","title":"VRChat.Friends","type":"module"},{"doc":"Delete Friend Request Deletes an outgoing pending friend request to another user. To delete an incoming friend request, use the deleteNotification endpoint instead. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Friends.html#delete_friend_request/3","title":"VRChat.Friends.delete_friend_request/3","type":"function"},{"doc":"Send Friend Request Send a friend request to another user. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Notification.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Friends.html#friend/3","title":"VRChat.Friends.friend/3","type":"function"},{"doc":"Check Friend Status Retrieve if the user is currently a friend with a given user, if they have an outgoing friend request, and if they have an incoming friend request. The proper way to receive and accept friend request is by checking if the user has an incoming Notification of type friendRequest , and then accepting that notification. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.FriendStatus.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Friends.html#get_friend_status/3","title":"VRChat.Friends.get_friend_status/3","type":"function"},{"doc":"List Friends List information about friends. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :offset (integer()): A zero-based offset from the default object sorting from where search results start. :n (integer()): The number of objects to return. :offline (boolean()): Returns only offline users if true, returns only online and active users if false Returns {:ok, [%LimitedUser{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Friends.html#get_friends/2","title":"VRChat.Friends.get_friends/2","type":"function"},{"doc":"Unfriend Unfriend a user by ID. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Friends.html#unfriend/3","title":"VRChat.Friends.unfriend/3","type":"function"},{"doc":"API calls for all endpoints tagged Groups .","ref":"VRChat.Groups.html","title":"VRChat.Groups","type":"module"},{"doc":"Add Group Gallery Image Adds an image to a Group gallery. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. group_gallery_id (String.t): Must be a valid group gallery ID. opts (keyword): Optional parameters :body (AddGroupGalleryImageRequest): Returns {:ok, VRChat.Model.GroupGalleryImage.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#add_group_gallery_image/4","title":"VRChat.Groups.add_group_gallery_image/4","type":"function"},{"doc":"Add Role to GroupMember Adds a Role to a Group Member Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. user_id (String.t): Must be a valid user ID. group_role_id (String.t): Must be a valid group role ID. opts (keyword): Optional parameters Returns {:ok, [%String{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#add_group_member_role/5","title":"VRChat.Groups.add_group_member_role/5","type":"function"},{"doc":"Ban Group Member Bans a user from a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters :body (BanGroupMemberRequest): Returns {:ok, VRChat.Model.GroupMember.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#ban_group_member/3","title":"VRChat.Groups.ban_group_member/3","type":"function"},{"doc":"Cancel Group Join Request Cancels a request sent to join the group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#cancel_group_request/3","title":"VRChat.Groups.cancel_group_request/3","type":"function"},{"doc":"Create Group Creates a Group and returns a Group object. Requires VRC+ Subscription. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :body (CreateGroupRequest): Returns {:ok, VRChat.Model.Group.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#create_group/2","title":"VRChat.Groups.create_group/2","type":"function"},{"doc":"Create Group Announcement Creates an Announcement for a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters :body (CreateGroupAnnouncementRequest): Returns {:ok, VRChat.Model.GroupAnnouncement.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#create_group_announcement/3","title":"VRChat.Groups.create_group_announcement/3","type":"function"},{"doc":"Create Group Gallery Creates a gallery for a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters :body (CreateGroupGalleryRequest): Returns {:ok, VRChat.Model.GroupGallery.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#create_group_gallery/3","title":"VRChat.Groups.create_group_gallery/3","type":"function"},{"doc":"Invite User to Group Sends an invite to a user to join the group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters :body (CreateGroupInviteRequest): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#create_group_invite/3","title":"VRChat.Groups.create_group_invite/3","type":"function"},{"doc":"Create GroupRole Create a Group role. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters :body (CreateGroupRoleRequest): Returns {:ok, VRChat.Model.GroupRole.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#create_group_role/3","title":"VRChat.Groups.create_group_role/3","type":"function"},{"doc":"Delete Group Deletes a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#delete_group/3","title":"VRChat.Groups.delete_group/3","type":"function"},{"doc":"Delete Group Announcement Deletes the announcement for a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#delete_group_announcement/3","title":"VRChat.Groups.delete_group_announcement/3","type":"function"},{"doc":"Delete Group Gallery Deletes a gallery for a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. group_gallery_id (String.t): Must be a valid group gallery ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#delete_group_gallery/4","title":"VRChat.Groups.delete_group_gallery/4","type":"function"},{"doc":"Delete Group Gallery Image Deletes an image from a Group gallery. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. group_gallery_id (String.t): Must be a valid group gallery ID. group_gallery_image_id (String.t): Must be a valid group gallery image ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#delete_group_gallery_image/5","title":"VRChat.Groups.delete_group_gallery_image/5","type":"function"},{"doc":"Delete User Invite Deletes an Group invite sent to a User Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#delete_group_invite/4","title":"VRChat.Groups.delete_group_invite/4","type":"function"},{"doc":"Delete Group Role Deletes a Group Role by ID and returns the remaining roles. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. group_role_id (String.t): Must be a valid group role ID. opts (keyword): Optional parameters Returns {:ok, [%GroupRole{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#delete_group_role/4","title":"VRChat.Groups.delete_group_role/4","type":"function"},{"doc":"Get Group by ID Returns a single Group by ID. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters :includeRoles (boolean()): Include roles for the Group object. Defaults to false. Returns {:ok, VRChat.Model.Group.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group/3","title":"VRChat.Groups.get_group/3","type":"function"},{"doc":"Get Group Announcement Returns the announcement for a Group. If no announcement has been made, then it returns empty object . If an announcement exists, then it will always return all fields except imageId and imageUrl which may be null. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.GroupAnnouncement.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group_announcements/3","title":"VRChat.Groups.get_group_announcements/3","type":"function"},{"doc":"Get Group Audit Logs Returns a list of audit logs for a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters :n (integer()): The number of objects to return. :offset (integer()): A zero-based offset from the default object sorting from where search results start. :startDate (DateTime.t): The start date of the search range. :endDate (DateTime.t): The end date of the search range. Returns {:ok, VRChat.Model.PaginatedGroupAuditLogEntryList.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group_audit_logs/3","title":"VRChat.Groups.get_group_audit_logs/3","type":"function"},{"doc":"Get Group Bans Returns a list of banned users for a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters :n (integer()): The number of objects to return. :offset (integer()): A zero-based offset from the default object sorting from where search results start. Returns {:ok, [%GroupMember{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group_bans/3","title":"VRChat.Groups.get_group_bans/3","type":"function"},{"doc":"Get Group Gallery Images Returns a list of images for a Group gallery. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. group_gallery_id (String.t): Must be a valid group gallery ID. opts (keyword): Optional parameters :n (integer()): The number of objects to return. :offset (integer()): A zero-based offset from the default object sorting from where search results start. :approved (boolean()): If specified, only returns images that have been approved or not approved. Returns {:ok, [%GroupGalleryImage{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group_gallery_images/4","title":"VRChat.Groups.get_group_gallery_images/4","type":"function"},{"doc":"Get Group Invites Sent Returns a list of members that have been invited to the Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters Returns {:ok, [%GroupMember{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group_invites/3","title":"VRChat.Groups.get_group_invites/3","type":"function"},{"doc":"Get Group Member Returns a LimitedGroup Member. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.GroupLimitedMember.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group_member/4","title":"VRChat.Groups.get_group_member/4","type":"function"},{"doc":"List Group Members Returns a List of all other Group Members. This endpoint will never return the user calling the endpoint. Information about the user calling the endpoint must be found in the myMember field of the Group object. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters :n (integer()): The number of objects to return. :offset (integer()): A zero-based offset from the default object sorting from where search results start. Returns {:ok, [%GroupMember{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group_members/3","title":"VRChat.Groups.get_group_members/3","type":"function"},{"doc":"List Group Permissions Returns a List of all possible/available permissions for a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters Returns {:ok, [%GroupPermission{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group_permissions/3","title":"VRChat.Groups.get_group_permissions/3","type":"function"},{"doc":"Get Group Join Requests Returns a list of members that have requested to join the Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters Returns {:ok, [%GroupMember{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group_requests/3","title":"VRChat.Groups.get_group_requests/3","type":"function"},{"doc":"Get Group Roles Returns a Group Role by ID. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters Returns {:ok, [%GroupRole{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#get_group_roles/3","title":"VRChat.Groups.get_group_roles/3","type":"function"},{"doc":"Join Group Join a Group by ID and returns the member object. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.GroupMember.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#join_group/3","title":"VRChat.Groups.join_group/3","type":"function"},{"doc":"Kick Group Member Kicks a Group Member from the Group. The current user must have the &quot;Remove Group Members&quot; permission. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#kick_group_member/4","title":"VRChat.Groups.kick_group_member/4","type":"function"},{"doc":"Leave Group Leave a group by ID. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#leave_group/3","title":"VRChat.Groups.leave_group/3","type":"function"},{"doc":"Remove Role from GroupMember Removes a Role from a Group Member Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. user_id (String.t): Must be a valid user ID. group_role_id (String.t): Must be a valid group role ID. opts (keyword): Optional parameters Returns {:ok, [%String{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#remove_group_member_role/5","title":"VRChat.Groups.remove_group_member_role/5","type":"function"},{"doc":"Respond Group Join request Responds to a Group Join Request with Accept/Deny Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters :body (RespondGroupJoinRequest): Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#respond_group_join_request/4","title":"VRChat.Groups.respond_group_join_request/4","type":"function"},{"doc":"Unban Group Member Unbans a user from a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.GroupMember.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#unban_group_member/4","title":"VRChat.Groups.unban_group_member/4","type":"function"},{"doc":"Update Group Updates a Group and returns it. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. opts (keyword): Optional parameters :body (UpdateGroupRequest): Returns {:ok, VRChat.Model.Group.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#update_group/3","title":"VRChat.Groups.update_group/3","type":"function"},{"doc":"Update Group Gallery Updates a gallery for a Group. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. group_gallery_id (String.t): Must be a valid group gallery ID. opts (keyword): Optional parameters :body (UpdateGroupGalleryRequest): Returns {:ok, VRChat.Model.GroupGallery.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#update_group_gallery/4","title":"VRChat.Groups.update_group_gallery/4","type":"function"},{"doc":"Update Group Member Updates a Group Member Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters :body (UpdateGroupMemberRequest): Returns {:ok, VRChat.Model.GroupLimitedMember.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#update_group_member/4","title":"VRChat.Groups.update_group_member/4","type":"function"},{"doc":"Update Group Role Updates a group role by ID. Parameters connection (VRChat.Connection): Connection to server group_id (String.t): Must be a valid group ID. group_role_id (String.t): Must be a valid group role ID. opts (keyword): Optional parameters :body (UpdateGroupRoleRequest): Returns {:ok, [%GroupRole{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Groups.html#update_group_role/4","title":"VRChat.Groups.update_group_role/4","type":"function"},{"doc":"API calls for all endpoints tagged Instances .","ref":"VRChat.Instances.html","title":"VRChat.Instances","type":"module"},{"doc":"Get Instance Returns an instance. Please read Instances Tutorial for more information on Instances. If an invalid instanceId is provided, this endpoint will simply return &quot;null&quot;! Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. instance_id (String.t): Must be a valid instance ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Instance.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Instances.html#get_instance/4","title":"VRChat.Instances.get_instance/4","type":"function"},{"doc":"Get Instance By Short Name Returns an instance. Please read Instances Tutorial for more information on Instances. Parameters connection (VRChat.Connection): Connection to server short_name (String.t): Must be a valid instance short name. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Instance.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Instances.html#get_instance_by_short_name/3","title":"VRChat.Instances.get_instance_by_short_name/3","type":"function"},{"doc":"Get Instance Short Name Returns an instance short name. Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. instance_id (String.t): Must be a valid instance ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.InstanceShortNameResponse.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Instances.html#get_short_name/4","title":"VRChat.Instances.get_short_name/4","type":"function"},{"doc":"Send Self Invite Sends an invite to the instance to yourself. Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. instance_id (String.t): Must be a valid instance ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Instances.html#send_self_invite/4","title":"VRChat.Instances.send_self_invite/4","type":"function"},{"doc":"API calls for all endpoints tagged Invite .","ref":"VRChat.Invite.html","title":"VRChat.Invite","type":"module"},{"doc":"Get Invite Message Returns a single Invite Message. This returns the exact same information but less than getInviteMessages . Admin Credentials are required to view messages of other users! Message type refers to a different collection of messages, used during different types of responses. message = Message during a normal invite response = Message when replying to a message request = Message when requesting an invite requestResponse = Message when replying to a request for invite Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. message_type (InviteMessageType): The type of message to fetch, must be a valid InviteMessageType. slot (integer()): The message slot to fetch of a given message type. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.InviteMessage.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Invite.html#get_invite_message/5","title":"VRChat.Invite.get_invite_message/5","type":"function"},{"doc":"List Invite Messages Returns a list of all the users Invite Messages. Admin Credentials are required to view messages of other users! Message type refers to a different collection of messages, used during different types of responses. message = Message during a normal invite response = Message when replying to a message request = Message when requesting an invite requestResponse = Message when replying to a request for invite Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. message_type (InviteMessageType): The type of message to fetch, must be a valid InviteMessageType. opts (keyword): Optional parameters Returns {:ok, [%InviteMessage{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Invite.html#get_invite_messages/4","title":"VRChat.Invite.get_invite_messages/4","type":"function"},{"doc":"Invite Myself To Instance Sends self an invite to an instance Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. instance_id (String.t): Must be a valid instance ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.SentNotification.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Invite.html#invite_myself_to/4","title":"VRChat.Invite.invite_myself_to/4","type":"function"},{"doc":"Invite User Sends an invite to a user. Returns the Notification of type invite that was sent. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters :body (InviteRequest): Slot number of the Invite Message to use when inviting a user. Returns {:ok, VRChat.Model.SentNotification.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Invite.html#invite_user/3","title":"VRChat.Invite.invite_user/3","type":"function"},{"doc":"Request Invite Requests an invite from a user. Returns the Notification of type requestInvite that was sent. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters :body (RequestInviteRequest): Slot number of the Request Message to use when request an invite. Returns {:ok, VRChat.Model.Notification.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Invite.html#request_invite/3","title":"VRChat.Invite.request_invite/3","type":"function"},{"doc":"Reset Invite Message Resets a single Invite Message back to its original message, and then returns a list of all of them. Admin Credentials are required to update messages of other users! Resetting a message respects the rate-limit, so it is not possible to reset within the 60 minutes countdown. Resetting it does however not set the rate-limit to 60 like when editing it. It is possible to edit it right after resetting it. Trying to edit a message before the cooldown timer expires results in a 429 &quot;Too Fast Error&quot;. Message type refers to a different collection of messages, used during different types of responses. message = Message during a normal invite response = Message when replying to a message request = Message when requesting an invite requestResponse = Message when replying to a request for invite The DELETE endpoint does not have/require any request body. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. message_type (InviteMessageType): The type of message to fetch, must be a valid InviteMessageType. slot (integer()): The message slot to fetch of a given message type. opts (keyword): Optional parameters Returns {:ok, [%InviteMessage{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Invite.html#reset_invite_message/5","title":"VRChat.Invite.reset_invite_message/5","type":"function"},{"doc":"Respond Invite Respond to an invite request by sending a world invite to the requesting user. :notificationId is the ID of the requesting notification. Parameters connection (VRChat.Connection): Connection to server notification_id (String.t): Must be a valid notification ID. opts (keyword): Optional parameters :body (InviteResponse): Slot number of the Response Message to use when responding to a user. Returns {:ok, VRChat.Model.Notification.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Invite.html#respond_invite/3","title":"VRChat.Invite.respond_invite/3","type":"function"},{"doc":"Update Invite Message Updates a single Invite Message and then returns a list of all of them. Admin Credentials are required to update messages of other users! Updating a message automatically sets the cooldown timer to 60 minutes. Trying to edit a message before the cooldown timer expires results in a 429 &quot;Too Fast Error&quot;. Message type refers to a different collection of messages, used during different types of responses. message = Message during a normal invite response = Message when replying to a message request = Message when requesting an invite requestResponse = Message when replying to a request for invite Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. message_type (InviteMessageType): The type of message to fetch, must be a valid InviteMessageType. slot (integer()): The message slot to fetch of a given message type. opts (keyword): Optional parameters :body (UpdateInviteMessageRequest): Message of what to set the invite message to. Returns {:ok, [%InviteMessage{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Invite.html#update_invite_message/5","title":"VRChat.Invite.update_invite_message/5","type":"function"},{"doc":"","ref":"VRChat.Middleware.html","title":"VRChat.Middleware","type":"module"},{"doc":"","ref":"VRChat.Middleware.html#assign_session/2","title":"VRChat.Middleware.assign_session/2","type":"function"},{"doc":"","ref":"VRChat.Middleware.html#maybe_mfa_validate/3","title":"VRChat.Middleware.maybe_mfa_validate/3","type":"function"},{"doc":"","ref":"VRChat.Middleware.html#merge_cookies/2","title":"VRChat.Middleware.merge_cookies/2","type":"function"},{"doc":"","ref":"VRChat.Middleware.html#parse_cookie/1","title":"VRChat.Middleware.parse_cookie/1","type":"function"},{"doc":"","ref":"VRChat.Middleware.html#parse_cookies/1","title":"VRChat.Middleware.parse_cookies/1","type":"function"},{"doc":"","ref":"VRChat.Middleware.html#stringify_cookies/1","title":"VRChat.Middleware.stringify_cookies/1","type":"function"},{"doc":"","ref":"VRChat.Middleware.html#update_headers/2","title":"VRChat.Middleware.update_headers/2","type":"function"},{"doc":"","ref":"VRChat.Model.AccountDeletionLog.html","title":"VRChat.Model.AccountDeletionLog","type":"module"},{"doc":"","ref":"VRChat.Model.AccountDeletionLog.html#t:t/0","title":"VRChat.Model.AccountDeletionLog.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.AddFavoriteRequest.html","title":"VRChat.Model.AddFavoriteRequest","type":"module"},{"doc":"","ref":"VRChat.Model.AddFavoriteRequest.html#t:t/0","title":"VRChat.Model.AddFavoriteRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.AddGroupGalleryImageRequest.html","title":"VRChat.Model.AddGroupGalleryImageRequest","type":"module"},{"doc":"","ref":"VRChat.Model.AddGroupGalleryImageRequest.html#t:t/0","title":"VRChat.Model.AddGroupGalleryImageRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.ApiConfig.html","title":"VRChat.Model.ApiConfig","type":"module"},{"doc":"","ref":"VRChat.Model.ApiConfig.html#t:t/0","title":"VRChat.Model.ApiConfig.t/0","type":"type"},{"doc":"Public Announcement","ref":"VRChat.Model.ApiConfigAnnouncement.html","title":"VRChat.Model.ApiConfigAnnouncement","type":"module"},{"doc":"","ref":"VRChat.Model.ApiConfigAnnouncement.html#t:t/0","title":"VRChat.Model.ApiConfigAnnouncement.t/0","type":"type"},{"doc":"Download links for various development assets.","ref":"VRChat.Model.ApiConfigDownloadUrlList.html","title":"VRChat.Model.ApiConfigDownloadUrlList","type":"module"},{"doc":"","ref":"VRChat.Model.ApiConfigDownloadUrlList.html#t:t/0","title":"VRChat.Model.ApiConfigDownloadUrlList.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.ApiConfigEvents.html","title":"VRChat.Model.ApiConfigEvents","type":"module"},{"doc":"","ref":"VRChat.Model.ApiConfigEvents.html#t:t/0","title":"VRChat.Model.ApiConfigEvents.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.ApiHealth.html","title":"VRChat.Model.ApiHealth","type":"module"},{"doc":"","ref":"VRChat.Model.ApiHealth.html#t:t/0","title":"VRChat.Model.ApiHealth.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Avatar.html","title":"VRChat.Model.Avatar","type":"module"},{"doc":"","ref":"VRChat.Model.Avatar.html#t:t/0","title":"VRChat.Model.Avatar.t/0","type":"type"},{"doc":"Deprecation: Object has unknown usage/fields, and is always empty. Use normal Url field instead.","ref":"VRChat.Model.AvatarUnityPackageUrlObject.html","title":"VRChat.Model.AvatarUnityPackageUrlObject","type":"module"},{"doc":"","ref":"VRChat.Model.AvatarUnityPackageUrlObject.html#t:t/0","title":"VRChat.Model.AvatarUnityPackageUrlObject.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.BanGroupMemberRequest.html","title":"VRChat.Model.BanGroupMemberRequest","type":"module"},{"doc":"","ref":"VRChat.Model.BanGroupMemberRequest.html#t:t/0","title":"VRChat.Model.BanGroupMemberRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.CreateAvatarRequest.html","title":"VRChat.Model.CreateAvatarRequest","type":"module"},{"doc":"","ref":"VRChat.Model.CreateAvatarRequest.html#t:t/0","title":"VRChat.Model.CreateAvatarRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.CreateFileRequest.html","title":"VRChat.Model.CreateFileRequest","type":"module"},{"doc":"","ref":"VRChat.Model.CreateFileRequest.html#t:t/0","title":"VRChat.Model.CreateFileRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.CreateFileVersionRequest.html","title":"VRChat.Model.CreateFileVersionRequest","type":"module"},{"doc":"","ref":"VRChat.Model.CreateFileVersionRequest.html#t:t/0","title":"VRChat.Model.CreateFileVersionRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.CreateGroupAnnouncementRequest.html","title":"VRChat.Model.CreateGroupAnnouncementRequest","type":"module"},{"doc":"","ref":"VRChat.Model.CreateGroupAnnouncementRequest.html#t:t/0","title":"VRChat.Model.CreateGroupAnnouncementRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.CreateGroupGalleryRequest.html","title":"VRChat.Model.CreateGroupGalleryRequest","type":"module"},{"doc":"","ref":"VRChat.Model.CreateGroupGalleryRequest.html#t:t/0","title":"VRChat.Model.CreateGroupGalleryRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.CreateGroupInviteRequest.html","title":"VRChat.Model.CreateGroupInviteRequest","type":"module"},{"doc":"","ref":"VRChat.Model.CreateGroupInviteRequest.html#t:t/0","title":"VRChat.Model.CreateGroupInviteRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.CreateGroupRequest.html","title":"VRChat.Model.CreateGroupRequest","type":"module"},{"doc":"","ref":"VRChat.Model.CreateGroupRequest.html#t:t/0","title":"VRChat.Model.CreateGroupRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.CreateGroupRoleRequest.html","title":"VRChat.Model.CreateGroupRoleRequest","type":"module"},{"doc":"","ref":"VRChat.Model.CreateGroupRoleRequest.html#t:t/0","title":"VRChat.Model.CreateGroupRoleRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.CreateWorldRequest.html","title":"VRChat.Model.CreateWorldRequest","type":"module"},{"doc":"","ref":"VRChat.Model.CreateWorldRequest.html#t:t/0","title":"VRChat.Model.CreateWorldRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.CurrentUser.html","title":"VRChat.Model.CurrentUser","type":"module"},{"doc":"","ref":"VRChat.Model.CurrentUser.html#t:t/0","title":"VRChat.Model.CurrentUser.t/0","type":"type"},{"doc":"Used to identify which API deployment cluster is currently responding. blue and green are used by Production. grape and cherry are used during Development. Blue Green Deployment by Martin Fowler","ref":"VRChat.Model.DeploymentGroup.html","title":"VRChat.Model.DeploymentGroup","type":"module"},{"doc":"","ref":"VRChat.Model.DeploymentGroup.html#t:t/0","title":"VRChat.Model.DeploymentGroup.t/0","type":"type"},{"doc":"&quot;none&quot; User is a normal user &quot;trusted&quot; Unknown &quot;internal&quot; Is a VRChat Developer &quot;moderator&quot; Is a VRChat Moderator Staff can hide their developerType at will.","ref":"VRChat.Model.DeveloperType.html","title":"VRChat.Model.DeveloperType","type":"module"},{"doc":"","ref":"VRChat.Model.DeveloperType.html#t:t/0","title":"VRChat.Model.DeveloperType.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.DynamicContentRow.html","title":"VRChat.Model.DynamicContentRow","type":"module"},{"doc":"","ref":"VRChat.Model.DynamicContentRow.html#t:t/0","title":"VRChat.Model.DynamicContentRow.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Error.html","title":"VRChat.Model.Error","type":"module"},{"doc":"","ref":"VRChat.Model.Error.html#t:t/0","title":"VRChat.Model.Error.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Favorite.html","title":"VRChat.Model.Favorite","type":"module"},{"doc":"","ref":"VRChat.Model.Favorite.html#t:t/0","title":"VRChat.Model.Favorite.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.FavoriteGroup.html","title":"VRChat.Model.FavoriteGroup","type":"module"},{"doc":"","ref":"VRChat.Model.FavoriteGroup.html#t:t/0","title":"VRChat.Model.FavoriteGroup.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.FavoriteGroupVisibility.html","title":"VRChat.Model.FavoriteGroupVisibility","type":"module"},{"doc":"","ref":"VRChat.Model.FavoriteGroupVisibility.html#t:t/0","title":"VRChat.Model.FavoriteGroupVisibility.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.FavoriteType.html","title":"VRChat.Model.FavoriteType","type":"module"},{"doc":"","ref":"VRChat.Model.FavoriteType.html#t:t/0","title":"VRChat.Model.FavoriteType.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.File.html","title":"VRChat.Model.File","type":"module"},{"doc":"","ref":"VRChat.Model.File.html#t:t/0","title":"VRChat.Model.File.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.FileData.html","title":"VRChat.Model.FileData","type":"module"},{"doc":"","ref":"VRChat.Model.FileData.html#t:t/0","title":"VRChat.Model.FileData.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.FileStatus.html","title":"VRChat.Model.FileStatus","type":"module"},{"doc":"","ref":"VRChat.Model.FileStatus.html#t:t/0","title":"VRChat.Model.FileStatus.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.FileUploadUrl.html","title":"VRChat.Model.FileUploadUrl","type":"module"},{"doc":"","ref":"VRChat.Model.FileUploadUrl.html#t:t/0","title":"VRChat.Model.FileUploadUrl.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.FileVersion.html","title":"VRChat.Model.FileVersion","type":"module"},{"doc":"","ref":"VRChat.Model.FileVersion.html#t:t/0","title":"VRChat.Model.FileVersion.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.FileVersionUploadStatus.html","title":"VRChat.Model.FileVersionUploadStatus","type":"module"},{"doc":"","ref":"VRChat.Model.FileVersionUploadStatus.html#t:t/0","title":"VRChat.Model.FileVersionUploadStatus.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.FinishFileDataUploadRequest.html","title":"VRChat.Model.FinishFileDataUploadRequest","type":"module"},{"doc":"","ref":"VRChat.Model.FinishFileDataUploadRequest.html#t:t/0","title":"VRChat.Model.FinishFileDataUploadRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.FriendStatus.html","title":"VRChat.Model.FriendStatus","type":"module"},{"doc":"","ref":"VRChat.Model.FriendStatus.html#t:t/0","title":"VRChat.Model.FriendStatus.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Group.html","title":"VRChat.Model.Group","type":"module"},{"doc":"","ref":"VRChat.Model.Group.html#t:t/0","title":"VRChat.Model.Group.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupAnnouncement.html","title":"VRChat.Model.GroupAnnouncement","type":"module"},{"doc":"","ref":"VRChat.Model.GroupAnnouncement.html#t:t/0","title":"VRChat.Model.GroupAnnouncement.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupAuditLogEntry.html","title":"VRChat.Model.GroupAuditLogEntry","type":"module"},{"doc":"","ref":"VRChat.Model.GroupAuditLogEntry.html#t:t/0","title":"VRChat.Model.GroupAuditLogEntry.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupGallery.html","title":"VRChat.Model.GroupGallery","type":"module"},{"doc":"","ref":"VRChat.Model.GroupGallery.html#t:t/0","title":"VRChat.Model.GroupGallery.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupGalleryImage.html","title":"VRChat.Model.GroupGalleryImage","type":"module"},{"doc":"","ref":"VRChat.Model.GroupGalleryImage.html#t:t/0","title":"VRChat.Model.GroupGalleryImage.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupJoinState.html","title":"VRChat.Model.GroupJoinState","type":"module"},{"doc":"","ref":"VRChat.Model.GroupJoinState.html#t:t/0","title":"VRChat.Model.GroupJoinState.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupLimitedMember.html","title":"VRChat.Model.GroupLimitedMember","type":"module"},{"doc":"","ref":"VRChat.Model.GroupLimitedMember.html#t:t/0","title":"VRChat.Model.GroupLimitedMember.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupMember.html","title":"VRChat.Model.GroupMember","type":"module"},{"doc":"","ref":"VRChat.Model.GroupMember.html#t:t/0","title":"VRChat.Model.GroupMember.t/0","type":"type"},{"doc":"Only visible via the /groups/:groupId/members endpoint, not when fetching a specific user.","ref":"VRChat.Model.GroupMemberLimitedUser.html","title":"VRChat.Model.GroupMemberLimitedUser","type":"module"},{"doc":"","ref":"VRChat.Model.GroupMemberLimitedUser.html#t:t/0","title":"VRChat.Model.GroupMemberLimitedUser.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupMemberStatus.html","title":"VRChat.Model.GroupMemberStatus","type":"module"},{"doc":"","ref":"VRChat.Model.GroupMemberStatus.html#t:t/0","title":"VRChat.Model.GroupMemberStatus.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupMyMember.html","title":"VRChat.Model.GroupMyMember","type":"module"},{"doc":"","ref":"VRChat.Model.GroupMyMember.html#t:t/0","title":"VRChat.Model.GroupMyMember.t/0","type":"type"},{"doc":"A permission that can be granted to a role in a group.","ref":"VRChat.Model.GroupPermission.html","title":"VRChat.Model.GroupPermission","type":"module"},{"doc":"","ref":"VRChat.Model.GroupPermission.html#t:t/0","title":"VRChat.Model.GroupPermission.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupPrivacy.html","title":"VRChat.Model.GroupPrivacy","type":"module"},{"doc":"","ref":"VRChat.Model.GroupPrivacy.html#t:t/0","title":"VRChat.Model.GroupPrivacy.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupRole.html","title":"VRChat.Model.GroupRole","type":"module"},{"doc":"","ref":"VRChat.Model.GroupRole.html#t:t/0","title":"VRChat.Model.GroupRole.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupRoleTemplate.html","title":"VRChat.Model.GroupRoleTemplate","type":"module"},{"doc":"","ref":"VRChat.Model.GroupRoleTemplate.html#t:t/0","title":"VRChat.Model.GroupRoleTemplate.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.GroupUserVisibility.html","title":"VRChat.Model.GroupUserVisibility","type":"module"},{"doc":"","ref":"VRChat.Model.GroupUserVisibility.html#t:t/0","title":"VRChat.Model.GroupUserVisibility.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InfoPush.html","title":"VRChat.Model.InfoPush","type":"module"},{"doc":"","ref":"VRChat.Model.InfoPush.html#t:t/0","title":"VRChat.Model.InfoPush.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InfoPushData.html","title":"VRChat.Model.InfoPushData","type":"module"},{"doc":"","ref":"VRChat.Model.InfoPushData.html#t:t/0","title":"VRChat.Model.InfoPushData.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InfoPushDataArticle.html","title":"VRChat.Model.InfoPushDataArticle","type":"module"},{"doc":"","ref":"VRChat.Model.InfoPushDataArticle.html#t:t/0","title":"VRChat.Model.InfoPushDataArticle.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InfoPushDataArticleContent.html","title":"VRChat.Model.InfoPushDataArticleContent","type":"module"},{"doc":"","ref":"VRChat.Model.InfoPushDataArticleContent.html#t:t/0","title":"VRChat.Model.InfoPushDataArticleContent.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InfoPushDataClickable.html","title":"VRChat.Model.InfoPushDataClickable","type":"module"},{"doc":"","ref":"VRChat.Model.InfoPushDataClickable.html#t:t/0","title":"VRChat.Model.InfoPushDataClickable.t/0","type":"type"},{"doc":"hidden field is only present if InstanceType is hidden aka &quot;Friends+&quot;, and is instance creator. friends field is only present if InstanceType is friends aka &quot;Friends&quot;, and is instance creator. private field is only present if InstanceType is private aka &quot;Invite&quot; or &quot;Invite+&quot;, and is instance creator.","ref":"VRChat.Model.Instance.html","title":"VRChat.Model.Instance","type":"module"},{"doc":"","ref":"VRChat.Model.Instance.html#t:t/0","title":"VRChat.Model.Instance.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InstancePlatforms.html","title":"VRChat.Model.InstancePlatforms","type":"module"},{"doc":"","ref":"VRChat.Model.InstancePlatforms.html#t:t/0","title":"VRChat.Model.InstancePlatforms.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InstanceShortNameResponse.html","title":"VRChat.Model.InstanceShortNameResponse","type":"module"},{"doc":"","ref":"VRChat.Model.InstanceShortNameResponse.html#t:t/0","title":"VRChat.Model.InstanceShortNameResponse.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InstanceType.html","title":"VRChat.Model.InstanceType","type":"module"},{"doc":"","ref":"VRChat.Model.InstanceType.html#t:t/0","title":"VRChat.Model.InstanceType.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InviteMessage.html","title":"VRChat.Model.InviteMessage","type":"module"},{"doc":"","ref":"VRChat.Model.InviteMessage.html#t:t/0","title":"VRChat.Model.InviteMessage.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InviteMessageType.html","title":"VRChat.Model.InviteMessageType","type":"module"},{"doc":"","ref":"VRChat.Model.InviteMessageType.html#t:t/0","title":"VRChat.Model.InviteMessageType.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InviteRequest.html","title":"VRChat.Model.InviteRequest","type":"module"},{"doc":"","ref":"VRChat.Model.InviteRequest.html#t:t/0","title":"VRChat.Model.InviteRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.InviteResponse.html","title":"VRChat.Model.InviteResponse","type":"module"},{"doc":"","ref":"VRChat.Model.InviteResponse.html#t:t/0","title":"VRChat.Model.InviteResponse.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.License.html","title":"VRChat.Model.License","type":"module"},{"doc":"","ref":"VRChat.Model.License.html#t:t/0","title":"VRChat.Model.License.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.LicenseAction.html","title":"VRChat.Model.LicenseAction","type":"module"},{"doc":"","ref":"VRChat.Model.LicenseAction.html#t:t/0","title":"VRChat.Model.LicenseAction.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.LicenseGroup.html","title":"VRChat.Model.LicenseGroup","type":"module"},{"doc":"","ref":"VRChat.Model.LicenseGroup.html#t:t/0","title":"VRChat.Model.LicenseGroup.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.LicenseType.html","title":"VRChat.Model.LicenseType","type":"module"},{"doc":"","ref":"VRChat.Model.LicenseType.html#t:t/0","title":"VRChat.Model.LicenseType.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.LimitedUnityPackage.html","title":"VRChat.Model.LimitedUnityPackage","type":"module"},{"doc":"","ref":"VRChat.Model.LimitedUnityPackage.html#t:t/0","title":"VRChat.Model.LimitedUnityPackage.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.LimitedUser.html","title":"VRChat.Model.LimitedUser","type":"module"},{"doc":"","ref":"VRChat.Model.LimitedUser.html#t:t/0","title":"VRChat.Model.LimitedUser.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.LimitedWorld.html","title":"VRChat.Model.LimitedWorld","type":"module"},{"doc":"","ref":"VRChat.Model.LimitedWorld.html#t:t/0","title":"VRChat.Model.LimitedWorld.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.MimeType.html","title":"VRChat.Model.MimeType","type":"module"},{"doc":"","ref":"VRChat.Model.MimeType.html#t:t/0","title":"VRChat.Model.MimeType.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.ModerateUserRequest.html","title":"VRChat.Model.ModerateUserRequest","type":"module"},{"doc":"","ref":"VRChat.Model.ModerateUserRequest.html#t:t/0","title":"VRChat.Model.ModerateUserRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Notification.html","title":"VRChat.Model.Notification","type":"module"},{"doc":"","ref":"VRChat.Model.Notification.html#t:t/0","title":"VRChat.Model.Notification.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.NotificationType.html","title":"VRChat.Model.NotificationType","type":"module"},{"doc":"","ref":"VRChat.Model.NotificationType.html#t:t/0","title":"VRChat.Model.NotificationType.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.OrderOption.html","title":"VRChat.Model.OrderOption","type":"module"},{"doc":"","ref":"VRChat.Model.OrderOption.html#t:t/0","title":"VRChat.Model.OrderOption.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.PaginatedGroupAuditLogEntryList.html","title":"VRChat.Model.PaginatedGroupAuditLogEntryList","type":"module"},{"doc":"","ref":"VRChat.Model.PaginatedGroupAuditLogEntryList.html#t:t/0","title":"VRChat.Model.PaginatedGroupAuditLogEntryList.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.PastDisplayName.html","title":"VRChat.Model.PastDisplayName","type":"module"},{"doc":"","ref":"VRChat.Model.PastDisplayName.html#t:t/0","title":"VRChat.Model.PastDisplayName.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Permission.html","title":"VRChat.Model.Permission","type":"module"},{"doc":"","ref":"VRChat.Model.Permission.html#t:t/0","title":"VRChat.Model.Permission.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.PlayerModeration.html","title":"VRChat.Model.PlayerModeration","type":"module"},{"doc":"","ref":"VRChat.Model.PlayerModeration.html#t:t/0","title":"VRChat.Model.PlayerModeration.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.PlayerModerationType.html","title":"VRChat.Model.PlayerModerationType","type":"module"},{"doc":"","ref":"VRChat.Model.PlayerModerationType.html#t:t/0","title":"VRChat.Model.PlayerModerationType.t/0","type":"type"},{"doc":"API/Photon region.","ref":"VRChat.Model.Region.html","title":"VRChat.Model.Region","type":"module"},{"doc":"","ref":"VRChat.Model.Region.html#t:t/0","title":"VRChat.Model.Region.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.ReleaseStatus.html","title":"VRChat.Model.ReleaseStatus","type":"module"},{"doc":"","ref":"VRChat.Model.ReleaseStatus.html#t:t/0","title":"VRChat.Model.ReleaseStatus.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.RequestInviteRequest.html","title":"VRChat.Model.RequestInviteRequest","type":"module"},{"doc":"","ref":"VRChat.Model.RequestInviteRequest.html#t:t/0","title":"VRChat.Model.RequestInviteRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.RespondGroupJoinRequest.html","title":"VRChat.Model.RespondGroupJoinRequest","type":"module"},{"doc":"","ref":"VRChat.Model.RespondGroupJoinRequest.html#t:t/0","title":"VRChat.Model.RespondGroupJoinRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Response.html","title":"VRChat.Model.Response","type":"module"},{"doc":"","ref":"VRChat.Model.Response.html#t:t/0","title":"VRChat.Model.Response.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.SentNotification.html","title":"VRChat.Model.SentNotification","type":"module"},{"doc":"","ref":"VRChat.Model.SentNotification.html#t:t/0","title":"VRChat.Model.SentNotification.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.SortOption.html","title":"VRChat.Model.SortOption","type":"module"},{"doc":"","ref":"VRChat.Model.SortOption.html#t:t/0","title":"VRChat.Model.SortOption.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Subscription.html","title":"VRChat.Model.Subscription","type":"module"},{"doc":"","ref":"VRChat.Model.Subscription.html#t:t/0","title":"VRChat.Model.Subscription.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.SubscriptionPeriod.html","title":"VRChat.Model.SubscriptionPeriod","type":"module"},{"doc":"","ref":"VRChat.Model.SubscriptionPeriod.html#t:t/0","title":"VRChat.Model.SubscriptionPeriod.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Success.html","title":"VRChat.Model.Success","type":"module"},{"doc":"","ref":"VRChat.Model.Success.html#t:t/0","title":"VRChat.Model.Success.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Transaction.html","title":"VRChat.Model.Transaction","type":"module"},{"doc":"","ref":"VRChat.Model.Transaction.html#t:t/0","title":"VRChat.Model.Transaction.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.TransactionAgreement.html","title":"VRChat.Model.TransactionAgreement","type":"module"},{"doc":"","ref":"VRChat.Model.TransactionAgreement.html#t:t/0","title":"VRChat.Model.TransactionAgreement.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.TransactionStatus.html","title":"VRChat.Model.TransactionStatus","type":"module"},{"doc":"","ref":"VRChat.Model.TransactionStatus.html#t:t/0","title":"VRChat.Model.TransactionStatus.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.TransactionSteamInfo.html","title":"VRChat.Model.TransactionSteamInfo","type":"module"},{"doc":"","ref":"VRChat.Model.TransactionSteamInfo.html#t:t/0","title":"VRChat.Model.TransactionSteamInfo.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.TransactionSteamWalletInfo.html","title":"VRChat.Model.TransactionSteamWalletInfo","type":"module"},{"doc":"","ref":"VRChat.Model.TransactionSteamWalletInfo.html#t:t/0","title":"VRChat.Model.TransactionSteamWalletInfo.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.TwoFactorAuthCode.html","title":"VRChat.Model.TwoFactorAuthCode","type":"module"},{"doc":"","ref":"VRChat.Model.TwoFactorAuthCode.html#t:t/0","title":"VRChat.Model.TwoFactorAuthCode.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.TwoFactorEmailCode.html","title":"VRChat.Model.TwoFactorEmailCode","type":"module"},{"doc":"","ref":"VRChat.Model.TwoFactorEmailCode.html#t:t/0","title":"VRChat.Model.TwoFactorEmailCode.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UnityPackage.html","title":"VRChat.Model.UnityPackage","type":"module"},{"doc":"","ref":"VRChat.Model.UnityPackage.html#t:t/0","title":"VRChat.Model.UnityPackage.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UpdateAvatarRequest.html","title":"VRChat.Model.UpdateAvatarRequest","type":"module"},{"doc":"","ref":"VRChat.Model.UpdateAvatarRequest.html#t:t/0","title":"VRChat.Model.UpdateAvatarRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UpdateFavoriteGroupRequest.html","title":"VRChat.Model.UpdateFavoriteGroupRequest","type":"module"},{"doc":"","ref":"VRChat.Model.UpdateFavoriteGroupRequest.html#t:t/0","title":"VRChat.Model.UpdateFavoriteGroupRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UpdateGroupGalleryRequest.html","title":"VRChat.Model.UpdateGroupGalleryRequest","type":"module"},{"doc":"","ref":"VRChat.Model.UpdateGroupGalleryRequest.html#t:t/0","title":"VRChat.Model.UpdateGroupGalleryRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UpdateGroupMemberRequest.html","title":"VRChat.Model.UpdateGroupMemberRequest","type":"module"},{"doc":"","ref":"VRChat.Model.UpdateGroupMemberRequest.html#t:t/0","title":"VRChat.Model.UpdateGroupMemberRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UpdateGroupRequest.html","title":"VRChat.Model.UpdateGroupRequest","type":"module"},{"doc":"","ref":"VRChat.Model.UpdateGroupRequest.html#t:t/0","title":"VRChat.Model.UpdateGroupRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UpdateGroupRoleRequest.html","title":"VRChat.Model.UpdateGroupRoleRequest","type":"module"},{"doc":"","ref":"VRChat.Model.UpdateGroupRoleRequest.html#t:t/0","title":"VRChat.Model.UpdateGroupRoleRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UpdateInviteMessageRequest.html","title":"VRChat.Model.UpdateInviteMessageRequest","type":"module"},{"doc":"","ref":"VRChat.Model.UpdateInviteMessageRequest.html#t:t/0","title":"VRChat.Model.UpdateInviteMessageRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UpdateUserRequest.html","title":"VRChat.Model.UpdateUserRequest","type":"module"},{"doc":"","ref":"VRChat.Model.UpdateUserRequest.html#t:t/0","title":"VRChat.Model.UpdateUserRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UpdateWorldRequest.html","title":"VRChat.Model.UpdateWorldRequest","type":"module"},{"doc":"","ref":"VRChat.Model.UpdateWorldRequest.html#t:t/0","title":"VRChat.Model.UpdateWorldRequest.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.User.html","title":"VRChat.Model.User","type":"module"},{"doc":"","ref":"VRChat.Model.User.html#t:t/0","title":"VRChat.Model.User.t/0","type":"type"},{"doc":"Status object representing if a queried user by username or userId exists or not. This model is primarily used by the /auth/exists endpoint, which in turn is used during registration. Please see the documentation on that endpoint for more information on usage.","ref":"VRChat.Model.UserExists.html","title":"VRChat.Model.UserExists","type":"module"},{"doc":"","ref":"VRChat.Model.UserExists.html#t:t/0","title":"VRChat.Model.UserExists.t/0","type":"type"},{"doc":"&quot;online&quot; User is online in VRChat &quot;active&quot; User is online, but not in VRChat &quot;offline&quot; User is offline Always offline when returned through getCurrentUser (/auth/user).","ref":"VRChat.Model.UserState.html","title":"VRChat.Model.UserState","type":"module"},{"doc":"","ref":"VRChat.Model.UserState.html#t:t/0","title":"VRChat.Model.UserState.t/0","type":"type"},{"doc":"Defines the User's current status, for example &quot;ask me&quot;, &quot;join me&quot; or &quot;offline. This status is a combined indicator of their online activity and privacy preference.","ref":"VRChat.Model.UserStatus.html","title":"VRChat.Model.UserStatus","type":"module"},{"doc":"","ref":"VRChat.Model.UserStatus.html#t:t/0","title":"VRChat.Model.UserStatus.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.UserSubscription.html","title":"VRChat.Model.UserSubscription","type":"module"},{"doc":"","ref":"VRChat.Model.UserSubscription.html#t:t/0","title":"VRChat.Model.UserSubscription.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Verify2FaEmailCodeResult.html","title":"VRChat.Model.Verify2FaEmailCodeResult","type":"module"},{"doc":"","ref":"VRChat.Model.Verify2FaEmailCodeResult.html#t:t/0","title":"VRChat.Model.Verify2FaEmailCodeResult.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.Verify2FaResult.html","title":"VRChat.Model.Verify2FaResult","type":"module"},{"doc":"","ref":"VRChat.Model.Verify2FaResult.html#t:t/0","title":"VRChat.Model.Verify2FaResult.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.VerifyAuthTokenResult.html","title":"VRChat.Model.VerifyAuthTokenResult","type":"module"},{"doc":"","ref":"VRChat.Model.VerifyAuthTokenResult.html#t:t/0","title":"VRChat.Model.VerifyAuthTokenResult.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.World.html","title":"VRChat.Model.World","type":"module"},{"doc":"","ref":"VRChat.Model.World.html#t:t/0","title":"VRChat.Model.World.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.WorldMetadata.html","title":"VRChat.Model.WorldMetadata","type":"module"},{"doc":"","ref":"VRChat.Model.WorldMetadata.html#t:t/0","title":"VRChat.Model.WorldMetadata.t/0","type":"type"},{"doc":"","ref":"VRChat.Model.WorldPublishStatus.html","title":"VRChat.Model.WorldPublishStatus","type":"module"},{"doc":"","ref":"VRChat.Model.WorldPublishStatus.html#t:t/0","title":"VRChat.Model.WorldPublishStatus.t/0","type":"type"},{"doc":"API calls for all endpoints tagged Notifications .","ref":"VRChat.Notifications.html","title":"VRChat.Notifications","type":"module"},{"doc":"Accept Friend Request Accept a friend request by notification frq_ ID. Friend requests can be found using the NotificationsAPI getNotifications by filtering of type friendRequest . Parameters connection (VRChat.Connection): Connection to server notification_id (String.t): Must be a valid notification ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Notifications.html#accept_friend_request/3","title":"VRChat.Notifications.accept_friend_request/3","type":"function"},{"doc":"Clear All Notifications Clear all notifications. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Notifications.html#clear_notifications/2","title":"VRChat.Notifications.clear_notifications/2","type":"function"},{"doc":"Delete Notification Delete a notification. Parameters connection (VRChat.Connection): Connection to server notification_id (String.t): Must be a valid notification ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Notification.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Notifications.html#delete_notification/3","title":"VRChat.Notifications.delete_notification/3","type":"function"},{"doc":"List Notifications Retrieve all of the current user's notifications. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :type (String.t): Only send notifications of this type (can use all for all). This parameter no longer does anything, and is deprecated. :sent (boolean()): Return notifications sent by the user. Must be false or omitted. :hidden (boolean()): Whether to return hidden or non-hidden notifications. True only allowed on type friendRequest . :after (String.t): Only return notifications sent after this Date. Ignored if type is friendRequest . :n (integer()): The number of objects to return. :offset (integer()): A zero-based offset from the default object sorting from where search results start. Returns {:ok, [%Notification{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Notifications.html#get_notifications/2","title":"VRChat.Notifications.get_notifications/2","type":"function"},{"doc":"Mark Notification As Read Mark a notification as seen. Parameters connection (VRChat.Connection): Connection to server notification_id (String.t): Must be a valid notification ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Notification.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Notifications.html#mark_notification_as_read/3","title":"VRChat.Notifications.mark_notification_as_read/3","type":"function"},{"doc":"API calls for all endpoints tagged Permissions .","ref":"VRChat.Permissions.html","title":"VRChat.Permissions","type":"module"},{"doc":"Get Assigned Permissions Returns a list of all permissions currently granted by the user. Permissions are assigned e.g. by subscribing to VRC+. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, [%Permission{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Permissions.html#get_assigned_permissions/2","title":"VRChat.Permissions.get_assigned_permissions/2","type":"function"},{"doc":"Get Permission Returns a single permission. This endpoint is pretty useless, as it returns the exact same information as /auth/permissions . Parameters connection (VRChat.Connection): Connection to server permission_id (String.t): Must be a valid permission ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Permission.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Permissions.html#get_permission/3","title":"VRChat.Permissions.get_permission/3","type":"function"},{"doc":"API calls for all endpoints tagged Playermoderation .","ref":"VRChat.Playermoderation.html","title":"VRChat.Playermoderation","type":"module"},{"doc":"Clear All Player Moderations ⚠️ This will delete every single player moderation you've ever made. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Playermoderation.html#clear_all_player_moderations/2","title":"VRChat.Playermoderation.clear_all_player_moderations/2","type":"function"},{"doc":"Delete Player Moderation Deletes a specific player moderation based on it's pmod_ ID. The website uses unmoderateUser instead. You can delete the same player moderation multiple times successfully. Parameters connection (VRChat.Connection): Connection to server player_moderation_id (String.t): Must be a valid pmod_ ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Playermoderation.html#delete_player_moderation/3","title":"VRChat.Playermoderation.delete_player_moderation/3","type":"function"},{"doc":"Get Player Moderation Returns a single Player Moderation. This returns the exact same amount of information as the more generalised getPlayerModerations . Parameters connection (VRChat.Connection): Connection to server player_moderation_id (String.t): Must be a valid pmod_ ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.PlayerModeration.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Playermoderation.html#get_player_moderation/3","title":"VRChat.Playermoderation.get_player_moderation/3","type":"function"},{"doc":"Search Player Moderations Returns a list of all player moderations made by you . This endpoint does not have pagination, and will return all results. Use query parameters to limit your query if needed. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :type (String.t): Must be one of PlayerModerationType, except unblock. Unblocking simply removes a block. :targetUserId (String.t): Must be valid UserID. Returns {:ok, [%PlayerModeration{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Playermoderation.html#get_player_moderations/2","title":"VRChat.Playermoderation.get_player_moderations/2","type":"function"},{"doc":"Moderate User Moderate a user, e.g. unmute them or show their avatar. Please see the Player Moderation docs on what playerModerations are, and how they differ from staff moderations. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :body (ModerateUserRequest): Returns {:ok, VRChat.Model.PlayerModeration.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Playermoderation.html#moderate_user/2","title":"VRChat.Playermoderation.moderate_user/2","type":"function"},{"doc":"Unmoderate User Removes a player moderation previously added through moderateUser . E.g if you previously have shown their avatar, but now want to reset it to default. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :body (ModerateUserRequest): Returns {:ok, VRChat.Model.Success.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Playermoderation.html#unmoderate_user/2","title":"VRChat.Playermoderation.unmoderate_user/2","type":"function"},{"doc":"Helper functions for building Tesla requests","ref":"VRChat.RequestBuilder.html","title":"VRChat.RequestBuilder","type":"module"},{"doc":"Add optional parameters to the request. Parameters request (Map) - Collected request options definitions (Map) - Map of parameter name to parameter location. options (KeywordList) - The provided optional parameters Returns Map","ref":"VRChat.RequestBuilder.html#add_optional_params/3","title":"VRChat.RequestBuilder.add_optional_params/3","type":"function"},{"doc":"Add non-optional parameters to the request. Parameters request (Map) - Collected request options location (atom) - Where to put the parameter key (atom) - The name of the parameter value (any) - The value of the parameter Returns Map","ref":"VRChat.RequestBuilder.html#add_param/4","title":"VRChat.RequestBuilder.add_param/4","type":"function"},{"doc":"This function ensures that the body parameter is always set. When using Tesla with the httpc adapter (the default adapter), there is a bug where POST, PATCH and PUT requests will fail if the body is empty. Parameters request (Map) - Collected request options Returns Map","ref":"VRChat.RequestBuilder.html#ensure_body/1","title":"VRChat.RequestBuilder.ensure_body/1","type":"function"},{"doc":"Evaluate the response from a Tesla request. Decode the response for a Tesla request. Parameters result (Tesla.Env.result()): The response from Tesla.request/2. mapping ([{http_status, struct}]): The mapping for status to struct for decoding. Returns {:ok, struct} or {:ok, Tesla.Env.t()} on success {:error, term} on failure","ref":"VRChat.RequestBuilder.html#evaluate_response/2","title":"VRChat.RequestBuilder.evaluate_response/2","type":"function"},{"doc":"Specify the request method when building a request. Does not override the method if one has already been specified. Parameters request (Map) - Collected request options method (atom) - Request method Returns Map","ref":"VRChat.RequestBuilder.html#method/2","title":"VRChat.RequestBuilder.method/2","type":"function"},{"doc":"Specify the request URL when building a request. Does not override the url if one has already been specified. Parameters request (Map) - Collected request options url (String) - Request URL Returns Map","ref":"VRChat.RequestBuilder.html#url/2","title":"VRChat.RequestBuilder.url/2","type":"function"},{"doc":"","ref":"VRChat.RequestBuilder.html#t:response_mapping/0","title":"VRChat.RequestBuilder.response_mapping/0","type":"type"},{"doc":"","ref":"VRChat.RequestBuilder.html#t:status_code/0","title":"VRChat.RequestBuilder.status_code/0","type":"type"},{"doc":"API calls for all endpoints tagged System .","ref":"VRChat.System.html","title":"VRChat.System","type":"module"},{"doc":"Fetch API Config API config contains configuration that the clients needs to work properly. Currently the most important value here is clientApiKey which is used for all other API endpoints. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, VRChat.Model.ApiConfig.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.System.html#get_config/2","title":"VRChat.System.get_config/2","type":"function"},{"doc":"Download CSS Fetches the CSS code to the frontend React website. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :variant (String.t): Specifies which variant of the site. Public is the end-user site, while internal is the staff-only site with special pages for moderation and management. :branch (String.t): Specifies which git branch the site should load frontend source code from. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.System.html#get_css/2","title":"VRChat.System.get_css/2","type":"function"},{"doc":"Current Online Users Returns the current number of online users. NOTE: The response type is not a JSON object, but a simple JSON integer. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, integer()} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.System.html#get_current_online_users/2","title":"VRChat.System.get_current_online_users/2","type":"function"},{"doc":"Check API Health Gets the overall health status, the server name, and the current build version tag of the API. DEPRECATED: VRChat has suddenly restricted this endpoint for unknown reasons, and now always return 401 Unauthorized. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, VRChat.Model.ApiHealth.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.System.html#get_health/2","title":"VRChat.System.get_health/2","type":"function"},{"doc":"Show Information Notices IPS (Info Push System) is a system for VRChat to push out dynamic information to the client. This is primarily used by the Quick-Menu info banners, but can also be used to e.g. alert you to update your game to the latest version. include is used to query what Information Pushes should be included in the response. If include is missing or empty, then no notices will normally be returned. This is an &quot;any of&quot; search. require is used to limit what Information Pushes should be included in the response. This is usually used in combination with include , and is an &quot;all of&quot; search. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :require (String.t): Tags to include (comma-separated). All of the tags needs to be present. :include (String.t): Tags to include (comma-separated). Any of the tags needs to be present. Returns {:ok, [%InfoPush{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.System.html#get_info_push/2","title":"VRChat.System.get_info_push/2","type":"function"},{"doc":"Download JavaScript Fetches the JavaScript code to the frontend React website. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :variant (String.t): Specifies which variant of the site. Public is the end-user site, while internal is the staff-only site with special pages for moderation and management. :branch (String.t): Specifies which git branch the site should load frontend source code from. Returns {:ok, String.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.System.html#get_java_script/2","title":"VRChat.System.get_java_script/2","type":"function"},{"doc":"Current System Time Returns the current time of the API server. NOTE: The response type is not a JSON object, but a simple JSON string. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters Returns {:ok, DateTime.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.System.html#get_system_time/2","title":"VRChat.System.get_system_time/2","type":"function"},{"doc":"API calls for all endpoints tagged Users .","ref":"VRChat.Users.html","title":"VRChat.Users","type":"module"},{"doc":"Get User by ID Get public user information about a specific user using their ID. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.User.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Users.html#get_user/3","title":"VRChat.Users.get_user/3","type":"function"},{"doc":"Get User by Username Get public user information about a specific user using their name. DEPRECATED: VRChat API no longer return usernames of other users. See issue by Tupper for more information . This endpoint now require Admin Credentials. Parameters connection (VRChat.Connection): Connection to server username (String.t): Username of the user opts (keyword): Optional parameters Returns {:ok, VRChat.Model.User.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Users.html#get_user_by_name/3","title":"VRChat.Users.get_user_by_name/3","type":"function"},{"doc":"Get User Group Requests Returns a list of Groups the user has requested to be invited into. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, [%Group{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Users.html#get_user_group_requests/3","title":"VRChat.Users.get_user_group_requests/3","type":"function"},{"doc":"Get User Groups Get user's public groups Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters Returns {:ok, [%Group{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Users.html#get_user_groups/3","title":"VRChat.Users.get_user_groups/3","type":"function"},{"doc":"Search All Users Search and list any users by text query Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :search (String.t): Searches by displayName . Will return empty array if search query is empty or missing. :developerType (String.t): Active user by developer type, none for normal users and internal for moderators :n (integer()): The number of objects to return. :offset (integer()): A zero-based offset from the default object sorting from where search results start. Returns {:ok, [%LimitedUser{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Users.html#search_users/2","title":"VRChat.Users.search_users/2","type":"function"},{"doc":"Update User Info Update a users information such as the email and birthday. Parameters connection (VRChat.Connection): Connection to server user_id (String.t): Must be a valid user ID. opts (keyword): Optional parameters :body (UpdateUserRequest): Returns {:ok, VRChat.Model.CurrentUser.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Users.html#update_user/3","title":"VRChat.Users.update_user/3","type":"function"},{"doc":"API calls for all endpoints tagged Worlds .","ref":"VRChat.Worlds.html","title":"VRChat.Worlds","type":"module"},{"doc":"Create World Create a new world. This endpoint requires assetUrl to be a valid File object with .vrcw file extension, and imageUrl to be a valid File object with an image file extension. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :body (CreateWorldRequest): Returns {:ok, VRChat.Model.World.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#create_world/2","title":"VRChat.Worlds.create_world/2","type":"function"},{"doc":"Delete World Delete a world. Notice a world is never fully &quot;deleted&quot;, only its ReleaseStatus is set to &quot;hidden&quot; and the linked Files are deleted. The WorldID is permanently reserved. Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#delete_world/3","title":"VRChat.Worlds.delete_world/3","type":"function"},{"doc":"List Active Worlds Search and list currently Active worlds by query filters. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :featured (boolean()): Filters on featured results. :sort (SortOption): The sort order of the results. :n (integer()): The number of objects to return. :order (OrderOption): Result ordering :offset (integer()): A zero-based offset from the default object sorting from where search results start. :search (String.t): Filters by world name. :tag (String.t): Tags to include (comma-separated). Any of the tags needs to be present. :notag (String.t): Tags to exclude (comma-separated). :releaseStatus (ReleaseStatus): Filter by ReleaseStatus. :maxUnityVersion (String.t): The maximum Unity version supported by the asset. :minUnityVersion (String.t): The minimum Unity version supported by the asset. :platform (String.t): The platform the asset supports. Returns {:ok, [%LimitedWorld{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#get_active_worlds/2","title":"VRChat.Worlds.get_active_worlds/2","type":"function"},{"doc":"List Favorited Worlds Search and list favorited worlds by query filters. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :featured (boolean()): Filters on featured results. :sort (SortOption): The sort order of the results. :n (integer()): The number of objects to return. :order (OrderOption): Result ordering :offset (integer()): A zero-based offset from the default object sorting from where search results start. :search (String.t): Filters by world name. :tag (String.t): Tags to include (comma-separated). Any of the tags needs to be present. :notag (String.t): Tags to exclude (comma-separated). :releaseStatus (ReleaseStatus): Filter by ReleaseStatus. :maxUnityVersion (String.t): The maximum Unity version supported by the asset. :minUnityVersion (String.t): The minimum Unity version supported by the asset. :platform (String.t): The platform the asset supports. :userId (String.t): Target user to see information on, admin-only. Returns {:ok, [%LimitedWorld{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#get_favorited_worlds/2","title":"VRChat.Worlds.get_favorited_worlds/2","type":"function"},{"doc":"List Recent Worlds Search and list recently visited worlds by query filters. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :featured (boolean()): Filters on featured results. :sort (SortOption): The sort order of the results. :n (integer()): The number of objects to return. :order (OrderOption): Result ordering :offset (integer()): A zero-based offset from the default object sorting from where search results start. :search (String.t): Filters by world name. :tag (String.t): Tags to include (comma-separated). Any of the tags needs to be present. :notag (String.t): Tags to exclude (comma-separated). :releaseStatus (ReleaseStatus): Filter by ReleaseStatus. :maxUnityVersion (String.t): The maximum Unity version supported by the asset. :minUnityVersion (String.t): The minimum Unity version supported by the asset. :platform (String.t): The platform the asset supports. :userId (String.t): Target user to see information on, admin-only. Returns {:ok, [%LimitedWorld{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#get_recent_worlds/2","title":"VRChat.Worlds.get_recent_worlds/2","type":"function"},{"doc":"Get World by ID Get information about a specific World. Works unauthenticated but when so will always return 0 for certain fields. Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.World.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#get_world/3","title":"VRChat.Worlds.get_world/3","type":"function"},{"doc":"Get World Instance Returns a worlds instance. Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. instance_id (String.t): Must be a valid instance ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.Instance.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#get_world_instance/4","title":"VRChat.Worlds.get_world_instance/4","type":"function"},{"doc":"Get World Metadata Return a worlds custom metadata. This is currently believed to be unused. Metadata can be set with updateWorld and can be any arbitrary object. Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.WorldMetadata.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#get_world_metadata/3","title":"VRChat.Worlds.get_world_metadata/3","type":"function"},{"doc":"Get World Publish Status Returns a worlds publish status. Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. opts (keyword): Optional parameters Returns {:ok, VRChat.Model.WorldPublishStatus.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#get_world_publish_status/3","title":"VRChat.Worlds.get_world_publish_status/3","type":"function"},{"doc":"Publish World Publish a world. You can only publish one world per week. Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#publish_world/3","title":"VRChat.Worlds.publish_world/3","type":"function"},{"doc":"Search All Worlds Search and list any worlds by query filters. Parameters connection (VRChat.Connection): Connection to server opts (keyword): Optional parameters :featured (boolean()): Filters on featured results. :sort (SortOption): The sort order of the results. :user (String.t): Set to me for searching own worlds. :userId (String.t): Filter by UserID. :n (integer()): The number of objects to return. :order (OrderOption): Result ordering :offset (integer()): A zero-based offset from the default object sorting from where search results start. :search (String.t): Filters by world name. :tag (String.t): Tags to include (comma-separated). Any of the tags needs to be present. :notag (String.t): Tags to exclude (comma-separated). :releaseStatus (ReleaseStatus): Filter by ReleaseStatus. :maxUnityVersion (String.t): The maximum Unity version supported by the asset. :minUnityVersion (String.t): The minimum Unity version supported by the asset. :platform (String.t): The platform the asset supports. Returns {:ok, [%LimitedWorld{}, ...]} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#search_worlds/2","title":"VRChat.Worlds.search_worlds/2","type":"function"},{"doc":"Unpublish World Unpublish a world. Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. opts (keyword): Optional parameters Returns {:ok, nil} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#unpublish_world/3","title":"VRChat.Worlds.unpublish_world/3","type":"function"},{"doc":"Update World Update information about a specific World. Parameters connection (VRChat.Connection): Connection to server world_id (String.t): Must be a valid world ID. opts (keyword): Optional parameters :body (UpdateWorldRequest): Returns {:ok, VRChat.Model.World.t} on success {:error, Tesla.Env.t} on failure","ref":"VRChat.Worlds.html#update_world/3","title":"VRChat.Worlds.update_world/3","type":"function"},{"doc":"An vrchat-elixir client to interact with the unofficial VRChat API. Supports all REST calls specified in the API specification . This package has its own documentation available on HexDocs, but it is recommended to also refer to the main VRChat API documentation .","ref":"readme.html","title":"VRChat API Library for vrchat-elixir","type":"extras"},{"doc":"This is the official response of the VRChat Team (from Tupper more specifically) on the usage of the VRChat API. Use of the API using applications other than the approved methods (website, VRChat application) are not officially supported. You may use the API for your own application, but keep these guidelines in mind: We do not provide documentation or support for the API. Do not make queries to the API more than once per 60 seconds. Abuse of the API may result in account termination. Access to API endpoints may break at any given time, with no warning. As stated, this documentation was not created with the help of the official VRChat team. Therefore this documentation is not an official documentation of the VRChat API and may not be always up to date with the latest versions. If you find that a page or endpoint is not longer valid please create an issue and tell us so we can fix it. Building To install the required dependencies and to build the elixir project, run: mix local . hex -- force mix do deps . get , compile","ref":"readme.html#disclaimer","title":"VRChat API Library for vrchat-elixir - Disclaimer","type":"extras"},{"doc":"The package can be installed by adding vrchat to your list of dependencies in mix.exs : def deps do [ { :vrchat , &quot;~&gt; 1.11.1&quot; } ] end Documentation can be found at https://hexdocs.pm/vrchat .","ref":"readme.html#installation","title":"VRChat API Library for vrchat-elixir - Installation","type":"extras"},{"doc":"{ :ok , user , conn } = VRChat.Authentication . login ( username : &quot;...&quot; , password : &quot;...&quot; , totp_token : &quot;...&quot; ) VRChat.Avatars . get_avatar ( conn , user . currentAvatar ) get_current_user validates the username and password, and returns a new client with a usable auth key sent as a cookie for usage in the rest of the api.","ref":"readme.html#usage","title":"VRChat API Library for vrchat-elixir - Usage","type":"extras"},{"doc":"You can override the URL of your server (e.g. if you have a separate development and production server in your configuration files) config :vrchat , base_url : &quot;https://api.vrchat.cloud/api/1&quot;","ref":"readme.html#configuration","title":"VRChat API Library for vrchat-elixir - Configuration","type":"extras"}]